Skip to main content
POST
/
settings
/
set
/
{instance}
Set Settings
curl --request POST \
  --url https://converso-whatsapp-api.p.rapidapi.com/settings/set/{instance} \
  --header 'Content-Type: application/json' \
  --header 'instanceCode: <api-key>' \
  --header 'x-rapidapi-key: <api-key>' \
  --data '
{
  "rejectCall": true,
  "msgCall": "<string>",
  "groupsIgnore": true,
  "alwaysOnline": true,
  "readMessages": true,
  "readStatus": true,
  "syncFullHistory": true
}
'
{
  "settings": {
    "instanceName": "teste-docs",
    "settings": {
      "reject_call": true,
      "groups_ignore": true,
      "always_online": true,
      "read_messages": true,
      "read_status": true,
      "sync_full_history": false
    }
  }
}

Authorizations

instanceCode
string
header
required

Your authorization key header

x-rapidapi-key
string
header
required

Your rapid api key

Path Parameters

instance
string
required

Name of the instance

Body

application/json
rejectCall
boolean
required

Reject calls automatically

msgCall
string
required

Message to be sent when a call is rejected automatically

groupsIgnore
boolean
required

Ignore group messages

alwaysOnline
boolean
required

Always show WhatsApp online

readMessages
boolean
required

Send read receipts

readStatus
boolean
required

See message status

syncFullHistory
boolean
required

Syncronize full WhatsApp history with Converso Whatsapp Api

Response

201 - application/json

Created

settings
object